%define upver       0.8.1
%define subver      1

Name:               qt5-fsarchiver
Version:            %{upver}.%{subver}
Release:            %mkrel 1
Summary:            Qt GUI for fsarchiver
Group:              Archiving/Backup
License:            GPLv2+ and GPLv3+
URL:                http://qt4-fsarchiver.sourceforge.net
Source0:            http://downloads.sourceforge.net/%{name}/%{name}-%{upver}-%{subver}.tar.gz
Source1:            org.fsarchiver.qt5.policy
Source2:            qt5-fsarchiver.wrapper

BuildRequires:      cmake
BuildRequires:      qttools5
BuildRequires:      pkgconfig(Qt5Core)
BuildRequires:      pkgconfig(Qt5Gui)
BuildRequires:      pkgconfig(Qt5Widgets)
BuildRequires:      pkgconfig(ext2fs)
BuildRequires:      pkgconfig(uuid)
BuildRequires:      pkgconfig(blkid)
BuildRequires:      e2fsprogs
BuildRequires:      attr-devel
BuildRequires:      libgcrypt-devel
BuildRequires:      pkgconfig(zlib)
BuildRequires:      bzip2-devel
BuildRequires:      liblzo-devel
BuildRequires:      pkgconfig(liblzma)

%rename             qt4-fsarchiver

Requires:           polkit-agent
Requires:           fsarchiver

Recommends:         gdisk
Recommends:         sshfs-fuse
Recommends:         sshpass
Recommends:         nmap
Recommends:         samba
Recommends:         samba-client
Recommends:         nfs-utils
Recommends:         xfsprogs

%description
FSArchiver is a system tool that allows you to save the contents of a
file-system to a compressed archive file. The file-system can be restored
on a partition which has a different size and it can be restored on a
different file-system. Unlike tar/dar, FSArchiver also creates the
file-system when it extracts the data to partitions. Everything is
checksummed in the archive in order to protect the data. If the archive
is corrupt, you just loose the current file, not the whole archive.

This is a GUI frontend for fsarchiver, written in Qt5.


%prep
%autosetup -n %{name}

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

#clean doc directory from backup files
rm -rf %{buildroot}/usr/share/doc/qt5-fsarchiver/doc/*~

mkdir -p %{buildroot}%{_iconsdir}
mv %{buildroot}%{_datadir}/app-install/icons/harddrive.png  %{buildroot}%{_iconsdir}/

#Clean original desktop files which have bad categories and does not use polkit.
rm -rf %{buildroot}%{_datadir}/applications/gnome-qt5-fsarchiver.desktop
rm -rf %{buildroot}%{_datadir}/applications/kde-qt5-fsarchiver.desktop
rm -rf %{buildroot}%{_datadir}/applications/mate-qt5-fsarchiver.desktop
rm -rf %{buildroot}%{_datadir}/polkit-1/actions/org.project.pkexec.run-qt5-fsarchiver.policy

#Install our desktop file.
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Qt5-Fsarchiver
Name[tr]=Qt5-Fsarchiver
Comment=File-system backup/deployment tool
Comment[tr]=Dosya sistemi yedekleme/yükleme aracı
Exec=%{_bindir}/qt5-fsarchiver
Icon=%{_iconsdir}/harddrive.png
Terminal=false
Type=Application
StartupNotify=true
Categories=System;Qt;Archiving;Filesystem;
EOF

#Remove original polkit policy file. Ours is much safer
rm -rf %{buildroot}%{_sbindir}/%{name}_polkit

#PolKit execution scheme
install -m 755 -d %{buildroot}%{_datadir}/polkit-1/actions/
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/polkit-1/actions/

# Install wrapper file to avoid double forking with polkit:
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_sbindir}/findsmb-qt5
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/harddrive.png
%{_docdir}/%{name}/
%{_datadir}/qt5/translations/%{name}*.qm
%{_datadir}/polkit-1/actions/org.fsarchiver.qt5.policy


%changelog
* Mon May 01 2017 tarakbumba <tarakbumba> 0.8.1.1-1.mga6
+ Revision: 1098189
- Update to 0.8.1.1 version
- Update to 0.8.1-0 version

* Sun Jan 08 2017 tarakbumba <tarakbumba> 0.8.0.5-1.mga6
+ Revision: 1080592
- Update package with qt5 and latest 0.8.0-5 version
- New release 0.8.0-5
- Rename depracated package to its qt5 version

* Sat Jun 25 2016 daviddavid <daviddavid> 0.6.19.18-3.mga6
+ Revision: 1037650
- add patch to fix build
  * taken from https://github.com/fdupoux/fsarchiver/commit/b07502ce

* Tue May 10 2016 tarakbumba <tarakbumba> 0.6.19.18-2.mga6
+ Revision: 1012204
- Update to 0.6.19-18 version

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Dec 07 2015 tarakbumba <tarakbumba> 0.6.19.16-1.mga6
+ Revision: 908704
- Update to 0.6.19.16 version

* Sat Oct 10 2015 tarakbumba <tarakbumba> 0.6.19.15-1.mga6
+ Revision: 888674
-Fix files list
- Drop unneeded patch0
- Update to 0.6.19-15 version

* Mon Sep 14 2015 fwang <fwang> 0.6.19.7-4.mga6
+ Revision: 879193
- rebuild for new libgcrypt

* Wed Oct 15 2014 umeabot <umeabot> 0.6.19.7-3.mga5
+ Revision: 750082
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.19.7-2.mga5
+ Revision: 688529
- Mageia 5 Mass Rebuild

  + tarakbumba <tarakbumba>
    - Update to 0.6.19.7 version

* Mon Aug 25 2014 tarakbumba <tarakbumba> 0.6.19.6-1.mga5
+ Revision: 667338
- Update to 0.6.19.6 version

* Fri Jun 27 2014 tarakbumba <tarakbumba> 0.6.19.5-1.mga5
+ Revision: 640434
- Update to 0.6.19.5 version

* Sat Jun 07 2014 tarakbumba <tarakbumba> 0.6.19.4-1.mga5
+ Revision: 634594
- Add wrapper script to avoid double forking issues
- Update to 0.6.19.4 version

* Tue Mar 25 2014 tarakbumba <tarakbumba> 0.6.19.1-1.mga5
+ Revision: 608652
- imported package qt4-fsarchiver

